/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 1996. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANEL                           1
#define  PANEL_DATA                      2       /* callback function: GenerateData */
#define  PANEL_HELP                      3       /* callback function: Help */
#define  PANEL_QUIT                      4       /* callback function: Quit */
#define  PANEL_Scale                     5       /* callback function: ScaleIt */
#define  PANEL_YR                        6
#define  PANEL_XR                        7
#define  PANEL_YL                        8
#define  PANEL_XL                        9
#define  PANEL_GRAPH                     10      /* callback function: Graph */
#define  PANEL_CHECKBOX                  11      /* callback function: ToggleBitmap */
#define  PANEL_DECORATION                12
#define  PANEL_DECORATION_2              13
#define  PANEL_PICTURE                   14
#define  PANEL_DECORATION_3              15


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK GenerateData(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Graph(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Help(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Quit(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK ScaleIt(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK ToggleBitmap(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
