/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 1996. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANEL                           1
#define  PANEL_CONTROL                   2       /* callback function: ControlCallback */
#define  PANEL_NUMTRACES                 3       /* callback function: TraceCallback */
#define  PANEL_CONTROL_2                 4       /* callback function: ControlCallback */
#define  PANEL_NUMTRACES_2               5       /* callback function: TraceCallback */
#define  PANEL_CONTROL_3                 6       /* callback function: ControlCallback */
#define  PANEL_NUMTRACES_3               7       /* callback function: TraceCallback */
#define  PANEL_QUIT                      8       /* callback function: QuitCallback */
#define  PANEL_TIMER                     9       /* callback function: TimerCallback */
#define  PANEL_CHART                     10
#define  PANEL_CHART_2                   11
#define  PANEL_CHART_3                   12


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK ControlCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK QuitCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK TimerCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK TraceCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
