/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 1996. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANEL                           1       /* callback function: PanelCallback */
#define  PANEL_TEXTBOX                   2
#define  PANEL_QUIT1                     3       /* callback function: Shutdown1 */
#define  PANEL_SLIDE                     4       /* callback function: SlideCallback */
#define  PANEL_LISTOFEVENTS              5
#define  PANEL_TEXTBOX_2                 6
#define  PANEL_TOGGLE                    7       /* callback function: ToggleCallback */
#define  PANEL_TIMER                     8       /* callback function: TimerCallback */


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK PanelCallback(int panel, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Shutdown1(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SlideCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK TimerCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK ToggleCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
