/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 1996. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANEL                           1
#define  PANEL_GRAPH                     2
#define  PANEL_PLOT                      3       /* callback function: PlotCallback */
#define  PANEL_QUIT                      4       /* callback function: QuitCallback */
#define  PANEL_NUMCOL                    5
#define  PANEL_LOCOL                     6
#define  PANEL_HICOL                     7
#define  PANEL_INTERPCOLORS              8
#define  PANEL_XSIZE                     9       /* callback function: SizeCallback */
#define  PANEL_YSIZE                     10      /* callback function: SizeCallback */
#define  PANEL_MINVAL                    11      /* callback function: MinCallback */
#define  PANEL_MAXVAL                    12      /* callback function: MaxCallback */
#define  PANEL_INTERPDATA                13
#define  PANEL_SCALE                     14
#define  PANEL_YOFFSET                   15
#define  PANEL_XOFFSET                   16
#define  PANEL_XGAIN                     17
#define  PANEL_YGAIN                     18
#define  PANEL_TEXTMSG_3                 19
#define  PANEL_TEXTMSG_4                 20
#define  PANEL_DECORATION_2              21
#define  PANEL_DECORATION                22
#define  PANEL_TIMER                     23      /* callback function: TimerCallback */


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK MaxCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK MinCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK PlotCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK QuitCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SizeCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK TimerCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
