/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 1996. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANEL                           1
#define  PANEL_SELECTOR                  2
#define  PANEL_TRANSFER                  3       /* callback function: TransferList */
#define  PANEL_CLEAR                     4       /* callback function: ClearDisplay */
#define  PANEL_NEWITEM                   5
#define  PANEL_REMOVEITEM                6
#define  PANEL_ADD                       7       /* callback function: Additem */
#define  PANEL_REMOVE                    8       /* callback function: RemoveItem */
#define  PANEL_QUIT                      9       /* callback function: Shutdown */
#define  PANEL_DISPLAY                   10


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK Additem(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK ClearDisplay(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK RemoveItem(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Shutdown(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK TransferList(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
