/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 1996. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANEL                           1
#define  PANEL_TEXT                      2
#define  PANEL_BACKGROUND                3
#define  PANEL_FOREGROUND                4
#define  PANEL_ADD                       5       /* callback function: AddCombo */
#define  PANEL_DELETE                    6       /* callback function: DeleteCombo */
#define  PANEL_QUIT                      7       /* callback function: Shutdown */
#define  PANEL_LIST                      8       /* callback function: ListBoxSelect */
#define  PANEL_RESULTTEXT                9
#define  PANEL_BGCOLOR                   10
#define  PANEL_FGCOLOR                   11


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK AddCombo(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK DeleteCombo(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK ListBoxSelect(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Shutdown(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
