/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 1996. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANEL                           1
#define  PANEL_CONFIG                    2
#define  PANEL_TEST                      3
#define  PANEL_INSTR                     4
#define  PANEL_INFO                      5
#define  PANEL_QUIT                      6       /* callback function: Shutdown */
#define  PANEL_DECORATION                7


     /* Menu Bars, Menus, and Menu Items: */

#define  MENU                            1
#define  MENU_CONFIG                     2
#define  MENU_CONFIG_SET1                3       /* callback function: MenuCallback */
#define  MENU_CONFIG_SET2                4       /* callback function: MenuCallback */
#define  MENU_TESTS                      5
#define  MENU_TESTS_TEST1                6       /* callback function: MenuCallback */
#define  MENU_TESTS_TEST2                7       /* callback function: MenuCallback */
#define  MENU_INSTR                      8
#define  MENU_INSTR_SCOPES               9
#define  MENU_INSTR_SCOPES_SUBMENU       10
#define  MENU_INSTR_SCOPES_TEK640        11      /* callback function: InstrConfig */
#define  MENU_INSTR_SCOPES_LEC9400A      12      /* callback function: InstrConfig */
#define  MENU_INSTR_SCOPES_HP54501       13      /* callback function: InstrConfig */
#define  MENU_INSTR_METERS               14
#define  MENU_INSTR_METERS_SUBMENU       15
#define  MENU_INSTR_METERS_FL45          16      /* callback function: InstrConfig */
#define  MENU_INSTR_METERS_KEI199        17      /* callback function: InstrConfig */
#define  MENU_INSTR_METERS_HP3457A       18      /* callback function: InstrConfig */


     /* Callback Prototypes: */ 

void CVICALLBACK InstrConfig(int menubar, int menuItem, void *callbackData, int panel);
void CVICALLBACK MenuCallback(int menubar, int menuItem, void *callbackData, int panel);
int  CVICALLBACK Shutdown(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
