/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 1996. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  CHILD1                          1

#define  CHILD2                          2

#define  GRNDCHILD1                      3

#define  GRNDCHILD2                      4

#define  PARENT                          5
#define  PARENT_SHOW                     2       /* callback function: ShowHidePanels */
#define  PARENT_HIDE                     3       /* callback function: ShowHidePanels */
#define  PARENT_QUIT                     4       /* callback function: Shutdown */


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK ShowHidePanels(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Shutdown(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
