/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 1996. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANEL                           1
#define  PANEL_QUIT                      2       /* callback function: Shutdown */
#define  PANEL_POPUP                     3       /* callback function: PopupInfo */
#define  PANEL_GO                        4       /* callback function: GoFunction */
#define  PANEL_CHART                     5
#define  PANEL_TIMER                     6       /* callback function: TimerCallback */

#define  POPUP                           2
#define  POPUP_OK                        2
#define  POPUP_INFO                      3
#define  POPUP_NUMERICSLIDE              4


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK GoFunction(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK PopupInfo(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Shutdown(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK TimerCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
