/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 1996. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANEL                           1       /* callback function: PanelCallback */
#define  PANEL_COPYTO                    2       /* callback function: CopyToMonoDisplayCallback */
#define  PANEL_COPYFROM                  3       /* callback function: CopyFromMonoDisplayCallback */
#define  PANEL_QUIT_2                    4       /* callback function: CheckAdapterMemoryCallback */
#define  PANEL_SCROLLDOWN                5       /* callback function: ScrollDownCallback */
#define  PANEL_SCROLLUP                  6       /* callback function: ScrollUpCallback */
#define  PANEL_TEXTIN                    7
#define  PANEL_TEXTOUT                   8


     /* Menu Bars, Menus, and Menu Items: */

#define  QUITBAR                         1
#define  QUITBAR_QUIT                    2       /* callback function: QuitItemCallback */


     /* Callback Prototypes: */ 

int  CVICALLBACK CheckAdapterMemoryCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK CopyFromMonoDisplayCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK CopyToMonoDisplayCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK PanelCallback(int panel, int event, void *callbackData, int eventData1, int eventData2);
void CVICALLBACK QuitItemCallback(int menubar, int menuItem, void *callbackData, int panel);
int  CVICALLBACK ScrollDownCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK ScrollUpCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
