/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 1996. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  HELP_PANEL                      1
#define  HELP_PANEL_COMMANDBUTTON        2
#define  HELP_PANEL_TEXTMSG              3

#define  PANEL                           2
#define  PANEL_NUMERICDIAL               2
#define  PANEL_NUMERICMETER              3       /* callback function: MeterCallback */
#define  PANEL_HELP_BUTTON               4       /* callback function: HelpCallback */
#define  PANEL_QUIT_BUTTON               5       /* callback function: QuitCallback */
#define  PANEL_DECORATION                6
#define  PANEL_TEXTMSG                   7


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK HelpCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK MeterCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK QuitCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
