
#include <cvirte.h>    /* Needed if linking in external compiler; harmless otherwise */
#include <userint.h>
#include "easytab.h"
#include "simpdemo.h"


int main (int argc, char *argv[])
{
    int panel, tabCtrl;

    if (InitCVIRTE (0, argv, 0) == 0)    /* Needed if linking in external compiler; harmless otherwise */
        return -1;    /* out of memory */
    
    panel = LoadPanel(0, "simpdemo.uir",  PANEL);
    
        /* Two function calls and, Voila!, a tab sheet dialog */
    tabCtrl = EasyTab_ConvertFromCanvas(panel, PANEL_CANVAS);
    EasyTab_LoadPanels (panel, tabCtrl, 1, "simpdemo.uir", __CVIUserHInst, CONTROL, 0, 
            VALVES, 0, MONITOR, 0, CONFIG, 0, HELP, 0, 0);
    
    InstallPopup(panel);
    RunUserInterface();

    return 0;
}

int CVICALLBACK DoneCallback (int panel, int control, int event, void *callbackData, int eventData1, int eventData2)
{
    if (event == EVENT_COMMIT)
        QuitUserInterface(0);
    return 0;
}
