/* void __stdcall DrawTextInWindow(short theWindow, short x, short y, char *text, char *fontName,
                                    short pointSize, short bold, short italic, short shadow, long color);
*/                                    
                                     
/*
     File:       cvitext.h

     Purpose:   Contains the prototypes for the functions exported by cvitext.dll.
                This file uses conditional compilation so that it can be included both
                in the source file for the dll (cvitext.prj) and in any LabWindows/CVI
                program that wants to call functions in the dll.
*/

#if defined(_CVI_DLL_) /* _CVI_DLL_ is defined automatically when compiling a DLL project in CVI. */

             /*    Here are the function prototypes as used by the dll's source
                code in mydll.c. when compiled with CVI4.0 */

void __stdcall __export DrawTextInWindow(HWND theWindow, short x, short y, char *text, char *fontName,
                                                short pointSize, short bold, short italic, short shadow, long color);

#elif defined(_CVI_EXE_) /* _CVI_EXE_ is defined automatically when compiling a standalone executable project in CVI. */

          /*    Here are the function prototypes suitable for including in a
                LabWindows/CVI program which uses the dll. */

void __stdcall DrawTextInWindow(short theWindow, short x, short y, char *text, char *fontName,
                                    short pointSize, short bold, short italic, short shadow, long color);

#else
#error "This header file is meant to be used only in a CVI exe or dll project."
#endif
