#include <windows.h>
#include <mmsystem.h>


short CVI_PlaySound (char *fileName, short asynchronous)
{
    if (asynchronous)
        return sndPlaySound(fileName, SND_ASYNC);
    else
        return sndPlaySound(fileName, SND_SYNC);  
}


short CVI_PlaySoundEx (char *fileName, short asynchronous, short loop,
                   short playDefault, short stopCurrentSound)
{
    UINT flags = 0;

    if (loop)
        flags |= SND_ASYNC | SND_LOOP;  
    else if (asynchronous)
        flags |= SND_ASYNC;
    else
        flags |= SND_SYNC;
    
    if (!playDefault)
        flags |= SND_NODEFAULT;
   
    if (!stopCurrentSound)
        flags |= SND_NOSTOP;
            
    return sndPlaySound(fileName, flags);   
}

                   
void StopCurrentSound (void)
{
    sndPlaySound(NULL, 0);
}




