/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 1996. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANEL                           1
#define  PANEL_DIRECTORY                 2
#define  PANEL_LISTBOX                   3       /* callback function: SoundListCallback */
#define  PANEL_CHANGEDIR                 4       /* callback function: ChangeDir */
#define  PANEL_ASYNCHRONOUS              5
#define  PANEL_LOOP                      6       /* callback function: ChangeLoopMode */
#define  PANEL_PLAYONE                   7       /* callback function: PlayOne */
#define  PANEL_PLAYALL                   8       /* callback function: PlayAll */
#define  PANEL_STOP                      9       /* callback function: Stop */
#define  PANEL_QUIT                      10      /* callback function: Quit */


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK ChangeDir(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK ChangeLoopMode(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK PlayAll(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK PlayOne(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Quit(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SoundListCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Stop(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
