/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 1996. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANEL                           1
#define  PANEL_HELP                      2       /* callback function: Help */
#define  PANEL_QUIT                      3       /* callback function: Quit */
#define  PANEL_CANVAS                    4       /* callback function: ScratchPad */
#define  PANEL_ARC                       5       /* callback function: ExecuteCommand */
#define  PANEL_BITMAP                    6       /* callback function: ExecuteCommand */
#define  PANEL_LINE                      7       /* callback function: ExecuteCommand */
#define  PANEL_OVAL                      8       /* callback function: ExecuteCommand */
#define  PANEL_POLY                      9       /* callback function: ExecuteCommand */
#define  PANEL_RECT                      10      /* callback function: ExecuteCommand */
#define  PANEL_POINT                     11      /* callback function: ExecuteCommand */
#define  PANEL_TEXT                      12      /* callback function: ExecuteCommand */
#define  PANEL_CLEAR                     13      /* callback function: ExecuteCommand */
#define  PANEL_PICTURERING               14
#define  PANEL_DECORATION                15
#define  PANEL_TIMER                     16      /* callback function: DrawToCanvas */
#define  PANEL_DECORATION_2              17
#define  PANEL_TEXTMSG                   18


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK DrawToCanvas(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK ExecuteCommand(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Help(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Quit(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK ScratchPad(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
