/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 1996. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANEL                           1
#define  PANEL_NUMERIC                   2
#define  PANEL_Difference                3
#define  PANEL_TimeCanvas                4
#define  PANEL_TimeGraph                 5
#define  PANEL_CanvasButton              6       /* callback function: PlotCanvas */
#define  PANEL_GraphButton               7       /* callback function: PlotGraph */
#define  PANEL_HelpButton                8       /* callback function: Help */
#define  PANEL_QuitButton                9       /* callback function: Quit */
#define  PANEL_GRAPH                     10
#define  PANEL_CANVAS                    11
#define  PANEL_COMMANDBUTTON             12      /* callback function: ClearBoth */
#define  PANEL_BINARYSWITCH              13      /* callback function: UseColor */


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK ClearBoth(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Help(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK PlotCanvas(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK PlotGraph(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Quit(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK UseColor(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
