/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 1996. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  ABOUT_BOX                       1
#define  ABOUT_BOX_COMMANDBUTTON         2
#define  ABOUT_BOX_LISSAJOUSDEMO         3
#define  ABOUT_BOX_THISDEMOSIMULATESANOS 4
#define  ABOUT_BOX_PICTURE_2             5

#define  PANEL                           2       /* callback function: PanelCallback */
#define  PANEL_CANVAS                    2
#define  PANEL_PASTED_TEXT               3
#define  PANEL_TEXT_TO_COPY              4
#define  PANEL_GRAPH                     5
#define  PANEL_TIMER                     6       /* callback function: GraphUpdateCallback */


     /* Menu Bars, Menus, and Menu Items: */

#define  BAR                             1
#define  BAR_FILE                        2
#define  BAR_FILE_EXIT                   3       /* callback function: ExitCallback */
#define  BAR_COPY                        4
#define  BAR_COPY_COPYTEXT               5       /* callback function: CopyTextCallback */
#define  BAR_COPY_COPYACTIVE             6       /* callback function: CopyActiveCtrlCallback */
#define  BAR_COPY_COPYPANE               7       /* callback function: CopyPanelImageCallback */
#define  BAR_COPY_SEPARATOR              8
#define  BAR_COPY_PASTE                  9       /* callback function: PasteCallback */
#define  BAR_HELP                        10
#define  BAR_HELP_ABOUTCLI               11      /* callback function: AboutBoxCallback */


     /* Callback Prototypes: */ 

void CVICALLBACK AboutBoxCallback(int menubar, int menuItem, void *callbackData, int panel);
void CVICALLBACK CopyActiveCtrlCallback(int menubar, int menuItem, void *callbackData, int panel);
void CVICALLBACK CopyPanelImageCallback(int menubar, int menuItem, void *callbackData, int panel);
void CVICALLBACK CopyTextCallback(int menubar, int menuItem, void *callbackData, int panel);
void CVICALLBACK ExitCallback(int menubar, int menuItem, void *callbackData, int panel);
int  CVICALLBACK GraphUpdateCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK PanelCallback(int panel, int event, void *callbackData, int eventData1, int eventData2);
void CVICALLBACK PasteCallback(int menubar, int menuItem, void *callbackData, int panel);


#ifdef __cplusplus
    }
#endif
