/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 1996. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANEL                           1
#define  PANEL_GRAPH                     2       /* callback function: UpdateMarker */
#define  PANEL_PLOT                      3       /* callback function: PlotData */
#define  PANEL_QUIT                      4       /* callback function: Shutdown */
#define  PANEL_RESTORE                   5       /* callback function: RestoreGraph */
#define  PANEL_ZOOM                      6       /* callback function: ZoomIn */
#define  PANEL_INDEX                     7
#define  PANEL_YREADOUT                  8
#define  PANEL_XREADOUT                  9
#define  PANEL_DECORATION                10
#define  PANEL_MARKER                    11


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK PlotData(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK RestoreGraph(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Shutdown(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK UpdateMarker(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK ZoomIn(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
