/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 1996. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANEL                           1
#define  PANEL_HELP                      2       /* callback function: Help */
#define  PANEL_QUIT                      3       /* callback function: Quit */
#define  PANEL_CANVAS                    4       /* callback function: ScratchPad */
#define  PANEL_COLORNUM                  5       /* callback function: SetColor */
#define  PANEL_NUMERIC                   6       /* callback function: PixelWidth */
#define  PANEL_TIMER                     7       /* callback function: DrawToCanvas */
#define  PANEL_DECORATION                8


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK DrawToCanvas(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Help(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK PixelWidth(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Quit(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK ScratchPad(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SetColor(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
