/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 1996. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANEL                           1
#define  PANEL_QUIT                      2       /* callback function: Shutdown */
#define  PANEL_GRAPH                     3
#define  PANEL_PLOTLINE                  4       /* callback function: PlotData */
#define  PANEL_TRACECOLOR                5       /* callback function: PlotData */
#define  PANEL_STYLE                     6       /* callback function: PlotData */
#define  PANEL_PLOTSHAPE                 7       /* callback function: PlotShape */
#define  PANEL_FILLCOLOR                 8       /* callback function: PlotShape */
#define  PANEL_SHAPE                     9       /* callback function: PlotShape */
#define  PANEL_FILLMODE                  10      /* callback function: PlotShape */
#define  PANEL_DECORATION                11
#define  PANEL_DECORATION_2              12


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK PlotData(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK PlotShape(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Shutdown(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
