/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 1996. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANEL                           1
#define  PANEL_ROWBYTES                  2
#define  PANEL_DEPTH                     3
#define  PANEL_WIDTH                     4
#define  PANEL_HEIGHT                    5
#define  PANEL_COLORSIZE                 6
#define  PANEL_BITMAPSIZE                7
#define  PANEL_MASKSIZE                  8
#define  PANEL_COLORTABLEINDEX           9       /* callback function: ColorTableIndexCallback */
#define  PANEL_COLORTABLEENTRY           10
#define  PANEL_UPDATECOLORTABLE          11      /* callback function: UpdateColorTableCallback */
#define  PANEL_QUIT                      12      /* callback function: QuitCallback */
#define  PANEL_LOAD                      13      /* callback function: LoadImageCallback */
#define  PANEL_PICTURE                   14      /* callback function: PictureRingCallback */
#define  PANEL_DECORATION                15
#define  PANEL_TEXTMSG                   16
#define  PANEL_DECORATION_2              17
#define  PANEL_TEXTMSG_2                 18


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK ColorTableIndexCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK LoadImageCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK PictureRingCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK QuitCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK UpdateColorTableCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
