/************************************************************************/
/*                                                                      */
/*  This example shows how you can use the ANSI C stdio functions in    */
/*  LabWindows/CVI to display and retrieve text information from the    */
/*  Standard I/O window.  Notice how the Standard I/O window can be     */
/*  scrolled once you have generated the data.                          */
/*                                                                      */
/************************************************************************/

#include <cvirte.h>    /* Needed if linking in external compiler; harmless otherwise */
#include <ansi_c.h>
#include <utility.h>


int main (int argc, char *argv[])
{
    int iterations=0, i=0;
    char c[100];

    if (InitCVIRTE (0, argv, 0) == 0)    /* Needed if linking in external compiler; harmless otherwise */
        return -1;    /* out of memory */
    
    Cls();

    printf ("Please input the number of random numbers to be generated : ");
    scanf ("%d", &iterations);

    printf("\n The following %d numbers will be randomly generated \n between 0 and 100 : \n\n", iterations);
    for (i=0;i<iterations;i++)
        printf("  %f\n", rand()/32767.0*100.0);

    return 0;
}
