/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 1996. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANEL                           1
#define  PANEL_LEFT                      2
#define  PANEL_RIGHT                     3
#define  PANEL_RELHELP                   4       /* callback function: ShowRelativeHelp */
#define  PANEL_SHIFT                     5
#define  PANEL_CTRL                      6
#define  PANEL_POLLRATE                  7       /* callback function: SetPollingRate */
#define  PANEL_QUIT                      8       /* callback function: ShutDown */
#define  PANEL_DECORATION                9
#define  PANEL_DECORATION_2              10
#define  PANEL_COORDS_2                  11
#define  PANEL_TIMER                     12      /* callback function: PollTimerCallback */
#define  PANEL_DECORATION_3              13
#define  PANEL_KEYMSG                    14
#define  PANEL_COORDS                    15
#define  PANEL_DECORATION_4              16
#define  PANEL_RELATIVEMSG               17
#define  PANEL_PANELRELCOORDS            18
#define  PANEL_HELPRELCOORDS             19
#define  PANEL_PANELCOORDS               20
#define  PANEL_CTRLCOORDS                21


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK PollTimerCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SetPollingRate(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK ShowRelativeHelp(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK ShutDown(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
