/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 1996. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANEL                           1
#define  PANEL_HELP                      2       /* callback function: Help */
#define  PANEL_QUIT                      3       /* callback function: Quit */
#define  PANEL_HOUR                      4
#define  PANEL_FORMAT_HMS                5       /* callback function: RedrawLabels */
#define  PANEL_FORMAT24                  6       /* callback function: RedrawLabels */
#define  PANEL_GRAPH                     7       /* callback function: GraphCallback */
#define  PANEL_TOTALTIME                 8       /* callback function: RedrawLabels */
#define  PANEL_DELTATIME                 9       /* callback function: RedrawLabels */
#define  PANEL_STARTTIME                 10      /* callback function: RedrawLabels */
#define  PANEL_NB_PTS                    11      /* callback function: Generate */
#define  PANEL_TEXTMSG                   12
#define  PANEL_DECORATION_2              13
#define  PANEL_TEXTMSG_2                 14
#define  PANEL_DECORATION_3              15
#define  PANEL_TEXTMSG_3                 16
#define  PANEL_DECORATION                17


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK Generate(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK GraphCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Help(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Quit(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK RedrawLabels(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
